# $Id: smeserver-ddclient.spec,v 1.9 2008/06/25 19:46:39 snetram Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-ddclient
%define version 1.0.0
%define release 8

Summary: ddclient panel for SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-ddclient-1.0.0-locale-2008-04-23.patch
Patch1: smeserver-ddclient-1.0.0-locale-2008-04-26.patch
Patch2: smeserver-ddclient-1.0.0-dos2unix.patch
Patch3: smeserver-ddclient-1.0.0-add2general.patch
Patch4: smeserver-ddclient-1.0.0-locale-2008-05-05.patch
Patch5: smeserver-ddclient-1.0.0-locale-2008-05-21.patch
Patch6: smeserver-ddclient-1.0.0-locale-2008-06-25.patch
Patch7: smeserver-ddclient-1.0.0-locale-2008-07-01.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Obsoletes: sme7-ddclient
BuildArchitectures: noarch
Requires: SMEServer >= 7
Requires: ddclient >= 3.7
Requires: e-smith-formmagick >= 1.4.0-12
AutoReqProv: no

%changelog
* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-8
- Apply 1 July 2008 locale patch

* Wed Jun 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-7
- Apply 25 Jun 2008 locale patch

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-6
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-5
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens  <smeserver-contribs@snetram.nl> 1.0.0-4
- Added 26 April 2008 locale patch
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens  <smeserver-contribs@snetram.nl> 1.0.0-3
- Added 23 April 2008 locale patch
- Removed version number from spec file

* Wed Apr 23 2008 Stephen Noble <support@dungog.net> 1.0.0-2
- prepare for import to smecontribs
- links moved to createlinks
- en lexicon split from function
- fr and de lexicons removed, add back in pootle

* Sat Jan 20 2007 Paul Floor <paul@smeserver.us>
- ver 1.0 rel 1: split into smeserver-ddclient and ddclient
- removed heartbeat

* Sun Nov 12 2006 Filali-Ansary Vincent <filali.v@free.fr>
- ver 3.7 rel 1: change for the new ddclient client

* Sat Aug 19 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 8: change checkip.sjc.dyndns.org by checkip.dyndns.org

* Mon Aug 7 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 7: repair the custom eurodyndns options on ddclient.conf.

* Mon Jul 31 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 6: repair the custom dyndns options on ddclient.conf.

* Fri Jun 30 2006 Filali-Ansary Vincent <filali.v@free.fr>
- rel 5: change checkip.dyndns.org by checkip.sjc.dyndns.org

* Tue May 09 2006 Filali-Ansary Vincent <filali.v@free.fr>
- initial release

%description
ddclient panel and config files for SME7.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -ldump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
